%define commit ee6b73a5b14f

Name:           python-yenc
Version:        0.4.0
Release:        %mkrel 8
Summary:        yEnc Module for Python
Group:          Development/Python
License:        GPLv2+
URL:            https://bitbucket.org/dual75/yenc
Source0:        https://bitbucket.org/dual75/yenc/get/%{version}.tar.gz
BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools

%description
python-yenc is a yEnc decoding library for Python. yEnc is a
binary-to-text encoding scheme for transferring binary files
in messages on Usenet or via e-mail.

%prep
%setup -q -n dual75-yenc-%{commit}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} -c 'import setuptools; execfile("setup.py")' build


%install
%{__python} -c 'import setuptools; execfile("setup.py")' install -O1 --skip-build --root $RPM_BUILD_ROOT
chmod g-w $RPM_BUILD_ROOT/%{python_sitearch}/_yenc.so


%check
PYTHONPATH="$PYTHONPATH:$RPM_BUILD_ROOT/%{python_sitearch}" %{__python} test/test.py


%files
%doc README TODO COPYING
%{py_platsitedir}/*


%changelog
* Thu Feb 04 2016 umeabot <umeabot> 0.4.0-8.mga6
+ Revision: 935467
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-7.mga5
+ Revision: 745715
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.4.0-6.mga5
+ Revision: 730032
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-5.mga5
+ Revision: 688441
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.4.0-3.mga4
+ Revision: 544449
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.4.0-2.mga4
+ Revision: 499784
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Jul 05 2013 philippem <philippem> 0.4.0-1.mga4
+ Revision: 450340
- Update to 0.4.0

* Sun Jan 13 2013 umeabot <umeabot> 0.3-4.mga3
+ Revision: 379728
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Apr 14 2011 mikala <mikala> 0.3-3.mga1
+ Revision: 85095
- Remove BuildRoot
- imported package python-yenc


* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.3-2mdv2010.0
+ Revision: 442550
- rebuild

* Thu Mar 05 2009 Jérôme Soyer <saispo@mandriva.org> 0.3-1mdv2009.1
+ Revision: 348964
- import python-yenc


